/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';
.vorgabe-gesamtsummen-section {
  border-top: 1px solid @platfrom-blue1;
  .summen-holder {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    row-gap: 10px;
    column-gap: 20px;

    .summen-holder-col {
      width: 23%;
    }
    .summe-item {
      background-color: #fff;
      padding: 16px;
      font-size: 1.6rem;
      height: 240px;
      display: flex;
      flex-direction: column;
      justify-content: space-between;

      strong {
        font-weight: 500;
        display: block;
        min-height: 52px;
      }
      .amount {
        display: block;
        line-height: 24px;
        text-align: right;
        font-weight: 500;
        padding: 24px 0;
      }
      .amount-line {
        margin-bottom: 24px;
        display: block;
        border-bottom: 2px solid #000;
      }
    }
    .selected {
      .summe-item {
        color: #fff;
        background: @platfrom-blue1;
        .amount-line {
          border-color: #fff;
        }
        .btn-save {
          color: #fff;
          border-color: #fff;
          white-space: pre-wrap;
          padding: 10px 15px;
          height: auto;
        }
      }
    }
  }
}

@media only screen and (min-width: 200px) {
  .vorgabe-gesamtsummen-section {
    .summen-holder {
      .summen-holder-col {
        width: 100%;
      }
    }
  }
}

@media only screen and (min-width: 1100px) {
  .vorgabe-gesamtsummen-section {
    .summen-holder {
      .summen-holder-col {
        width: 48%;
      }
      .summen-holder-col:nth-child(4) {
        width: 48%;
      }
    }
  }
}

@media only screen and (min-width: 1200px) {
  .vorgabe-gesamtsummen-section {
    .summen-holder {
      .summen-holder-col {
        width: 23%;
      }
      .summen-holder-col:nth-child(4) {
        width: 23%;
      }
    }
  }
}
